function [A,B,C,Upsilon] = ESsystem(Tau,Ts)
%% ========================================================================
% ENERGY SYSTEM SETUP
% =========================================================================
M = length(Tau);
A = cell(M,1);
B = cell(M,1);
C = cell(M,1);
D = cell(M,1);
Upsilon = cell(M,1);

% subsystems
for j = 1:M
    num = 1;
    den = conv(conv([Tau(j) 1],[Tau(j) 1]),[Tau(j) 1]);
    tfun = tf(num,den);
    % create state space system
    csys = ss(tfun);
    dsys = c2d(csys,Ts,'zoh');
    [A{j},B{j},C{j},D{j}] = dssdata(dsys);
    Upsilon{j} = 1;
end

